<?php
// SMF Arcade Shop Mod

// Set the below to true to overwrite already existing settings with the defaults. (not recommended.)
$overwrite_old_settings = false;

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
		'shopEnableArcadePass' => true,
		'shopPointsPerHighscore' => 25,
);

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
        include_once(dirname(__FILE__) . '/SSI.php');

// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
        die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Turn the array defined above into a string of MySQL data.
$string = '';
foreach ($mod_settings as $k => $v)
        $string .= '
                        (\'' . $k . '\', \'' . $v . '\'),';

// Sorted out the array defined above - now insert the data!
if ($string != '')
        $result = db_query("
                " . ($overwrite_old_settings ? 'REPLACE' : 'INSERT IGNORE') . " INTO {$db_prefix}settings
                        (variable, value)
                VALUES" . substr($string, 0, -1), __FILE__, __LINE__);

if ($result === false)
        echo '<b>Error:</b> Database modifications failed!';

$result = db_query("SHOW COLUMNS FROM {$db_prefix}members LIKE 'arcadePass'", __FILE__, __LINE__);
if (mysql_num_rows($result) == 0) 
	db_query("ALTER TABLE {$db_prefix}members ADD `arcadePass` INTEGER UNSIGNED NULL", __FILE__, __LINE__);

?>